package com.ruoyi.manage.domain;

import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 机场区域用户绑定对象 base_area_user
 * 
 * @author wangh
 * @date 2024-01-25
 */
public class BaseAreaUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** 账号名称 */
    @Excel(name = "账号名称")
    private String userId;

    /** 区域id */
    @Excel(name = "区域id")
    private Long areaId;
    private SysUser  sysUser;
    private BaseStore baseStore;
    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }

    public SysUser getSysUser() {
        return sysUser;
    }

    public void setSysUser(SysUser sysUser) {
        this.sysUser = sysUser;
    }

    public BaseStore getBaseStore() {
        return baseStore;
    }

    public void setBaseStore(BaseStore baseStore) {
        this.baseStore = baseStore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("userId", getUserId())
            .append("areaId", getAreaId())
            .toString();
    }
}
